Page MenuHomePhabricator

[PGO] Remove the old memop value profiling buckets.
ClosedPublic

Authored by yamauchi on Oct 5 2020, 9:54 AM.

Details

Summary

Following up D81682 and D83903, remove the code for the old value profiling
buckets, which have been replaced with the new, extended buckets and disabled by
default.

Also syncing InstrProfData.inc between compiler-rt and llvm.

Diff Detail

Event Timeline

yamauchi created this revision.Oct 5 2020, 9:54 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptOct 5 2020, 9:54 AM
Herald added subscribers: Restricted Project, wenlei, hiraditya. · View Herald Transcript
yamauchi requested review of this revision.Oct 5 2020, 9:54 AM
yamauchi updated this revision to Diff 296207.Oct 5 2020, 9:57 AM

Update the patch description.

yamauchi edited the summary of this revision. (Show Details)Oct 5 2020, 9:57 AM
davidxl accepted this revision.Oct 13 2020, 1:06 PM

lgtm

This revision is now accepted and ready to land.Oct 13 2020, 1:06 PM
This revision was landed with ongoing or failed builds.Oct 15 2020, 10:10 AM
This revision was automatically updated to reflect the committed changes.